AGPL v3 license in logstash dependency

We would like to include logstash in our commercial projects but we realized it comes with a dependency (flores 0.0.7) that has an AGPL v3 license. We think the presence of a package with this license will prevent us from using logstash altogether since we cannot publish the source code of our commercial application as it would be required by this particular license.
Is our understanding correct?

Hi @daniele8 Welcome to the community

Please send your question to elastic_license@elastic.co that is where you will get an official answer, this is just a community forum.